const { Produk, Kategori } = require("../Database/models");

const getAllProduk = async () => {
  return await Produk.findAll({
    include: [{ model: Kategori, as: "kategori" }],
  });
};

const findProdukById = async (id) => {
  return await Produk.findByPk(id);
};

const createProduk = async (body) => {
  return await Produk.create(body);
};

const updateStok = async (id, body) => {
  const data = await Produk.findByPk(id);
  await data.update(body);
  return data;
};

const deleteProduk = async (id) => {
  return await Produk.destroy({ where: { id } });
};
module.exports = {
  deleteProduk,
  getAllProduk,
  findProdukById,
  updateStok,
  createProduk,
};
